Agora Java API Reference for Android

Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::LowlightEnhanceOptions Struct Reference

## Public Types
enum | LOW_LIGHT_ENHANCE_MODE { LOW_LIGHT_ENHANCE_AUTO = 0, LOW_LIGHT_ENHANCE_MANUAL = 1 }
enum | LOW_LIGHT_ENHANCE_LEVEL { LOW_LIGHT_ENHANCE_LEVEL_HIGH_QUALITY = 0, LOW_LIGHT_ENHANCE_LEVEL_FAST = 1 }

## Public Member Functions
| LowlightEnhanceOptions (LOW_LIGHT_ENHANCE_MODE lowlightMode, LOW_LIGHT_ENHANCE_LEVEL lowlightLevel)

## Public Attributes
LOW_LIGHT_ENHANCE_MODE | mode
LOW_LIGHT_ENHANCE_LEVEL | level

## Member Enumeration Documentation

## ◆ LOW_LIGHT_ENHANCE_MODE

enum agora::rtc::LowlightEnhanceOptions::LOW_LIGHT_ENHANCE_MODE

The low-light enhancement mode.

Enumerator
LOW_LIGHT_ENHANCE_AUTO | 0: (Default) Automatic mode. The SDK automatically enables or disables the low-light enhancement feature according to the ambient light to compensate for the lighting level or prevent overexposure, as necessary.
LOW_LIGHT_ENHANCE_MANUAL | Manual mode. Users need to enable or disable the low-light enhancement feature manually.

## ◆ LOW_LIGHT_ENHANCE_LEVEL

enum agora::rtc::LowlightEnhanceOptions::LOW_LIGHT_ENHANCE_LEVEL

The low-light enhancement level.

Enumerator
LOW_LIGHT_ENHANCE_LEVEL_HIGH_QUALITY | 0: (Default) Promotes video quality during low-light enhancement. It processes the brightness, details, and noise of the video image. The performance consumption is moderate, the processing speed is moderate, and the overall video quality is optimal.
LOW_LIGHT_ENHANCE_LEVEL_FAST | Promotes performance during low-light enhancement. It processes the brightness and details of the video image. The processing speed is faster.

## Member Data Documentation

## ◆ mode

LOW_LIGHT_ENHANCE_MODE agora::rtc::LowlightEnhanceOptions::mode

The low-light enhancement mode. See LOW_LIGHT_ENHANCE_MODE.

## ◆ level

LOW_LIGHT_ENHANCE_LEVEL agora::rtc::LowlightEnhanceOptions::level

The low-light enhancement level. See LOW_LIGHT_ENHANCE_LEVEL.